import path_setting
from in_common.base_request import BaseRequest


class login_request(BaseRequest):
    def __init__(self):
        #om后台-登录
        self.data = self.api_load(path_setting.OMLOGIN_CONFIG)

    #om后台-登录
    def om_login(self, username, password):
        self.params["username"] = username
        self.params["password"] = password

        return self.api_send(self.data["om_login"])

if __name__ == '__main__':
    print(login_request().om_login("admin", "123123"))